package jtznyj.engineer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import jtznyj.engineer.entity.AFocusWarnSection;
import jtznyj.engineer.service.dataDiagnosticService.data.MonitorAlarmRanges;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

public interface IAFoucusWarnSectionService extends IService<AFocusWarnSection> {

    public void savaWarnMessage(String jh ,Map<String, MonitorAlarmRanges> res);

    public List<MonitorAlarmRanges> getGcyjList(String jh , String time);
    public List<MonitorAlarmRanges> getGcyjList(String jh , String time1, String time2);

    public List<MonitorAlarmRanges> getGcyjResetList(String jh , String time,int min);

}
